package com.howard.rockear.adapters;

import java.util.Comparator;

public class PinyinComparator implements Comparator<TrackListContent> {

	@Override
	public int compare(TrackListContent o1, TrackListContent o2) {
		if (o1.getLetterString().equals("@")
				|| o2.getLetterString().equals("#")) {
			return -1;
		} else if (o1.getLetterString().equals("#")
				|| o2.getLetterString().equals("@")) {
			return 1;
		} else {
			return o1.getLetterString().compareTo(o2.getLetterString());
		}
	}

}
